Bug Hunting Session
Bug 94970 - Sidebar: chart panels -> Axis -> Text Orientation UI element broken
Summary: Sidebar: chart panels -> Axis -> Text Orientation UI element broken
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks: Chart-Sidebar
  Show dependency treegraph
 
Reported: 2015-10-11 23:22 UTC by Luke
Modified: 2016-10-24 12:17 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
example chart to test bug (27.03 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-10-11 23:22 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2015-10-11 23:22:08 UTC
Created attachment 119527 [details]
example chart to test bug

Steps to reproduce:
1. In Calc create a chart with labels
2. Edit the chart
3. Using the sidebar try to change the value of Axis -> Text Orientation


Note that if you change the value using the dialog box, the value indicated by the sidebar is incorrect. It is always zero. Changing the value in the sidebar has no effect on the actual text orientation.
Comment 1 Yousuf Philips (jay) (retired) 2015-10-12 13:21:26 UTC
Confirmed. Seems the field hasnt been linked to the functionality as the values in the dialog dont appear in the field as well.

Version: 5.1.0.0.alpha1+
Build ID: 143fb0a4b5d4ab69d4928299d8112ab95d99870a
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-10-11_00:06:41
Locale: en-US (en_US.UTF-8)
Comment 2 Commit Notification 2015-10-22 22:36:33 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d550cdb9411b53e20741d79489a2fcd0c4849c13

implement text rotation for chart axis sidebar panel, tdf#94970

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.